=== plugins/streaming/CMakeLists.txt ===
project(kradio4_plugin_streaming)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_streaming_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_streaming_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_streaming_sources
    ${kradio_plugin_streaming_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_streaming
    ${kradio_plugin_streaming_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_streaming
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_streaming ${INSTALL_TARGETS_DEFAULT_ARGS})
