=== plugins/timeshifter/CMakeLists.txt ===
project(kradio4_plugin_timeshifter)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_timeshifter_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_timeshifter_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_timeshifter_sources
    ${kradio_plugin_timeshifter_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_timeshifter
    ${kradio_plugin_timeshifter_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_timeshifter
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_timeshifter ${INSTALL_TARGETS_DEFAULT_ARGS})
