=== debian/changelog ===
kradio4 (4.0.8+git20170124-1) unstable; urgency=medium

  * New upstream Git snapshot.

 -- Pino Toscano <pino@debian.org>  Tue, 24 Jan 2017 22:58:43 +0100

kradio4 (4.0.8+git20170114-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * The rebuild with newer lirc-client should fix crashes in the lirc plugin.
    (Closes: #844517)

 -- Pino Toscano <pino@debian.org>  Sat, 14 Jan 2017 23:33:56 +0100
