=== debian/changelog ===
kradio4 (4.0.8+git20180527-1) unstable; urgency=medium

  * New upstream Git snapshot:
    - fixes build with FFmpeg 4.0+ (Closes: #888352)
  * Switch Vcs-* fields to salsa.debian.org.
  * Remove trailing whitespaces in changelog.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Bump Standards-Version to 4.1.4, no changes required.
  * Switch from the deprecated libavresample to libswresample: replace
    the libavresample-dev build dependency with libswresample-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 27 May 2018 17:46:43 +0200
