=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
  Pino Toscano <pino@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
+Build-Depends: debhelper (>= 11~), pkg-kde-tools (>= 0.5), cmake,
  kdelibs5-dev (>= 4:4.7.0), gettext, libsndfile1-dev, liblircclient-dev,
- libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libavresample-dev,
+ libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libswresample-dev,
  libglib2.0-dev, libboost-dev,
  libmp3lame-dev, libasound2-dev [linux-any]
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://kradio.sourceforge.net/
-Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kradio4/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kradio4/trunk/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kradio.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kradio
 
 
 Package: kradio4
