=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif
 
 %:
-	dh $@ --parallel --with kde
+	dh $@ --with kde
 
 override_dh_auto_configure:
 	dh_auto_configure --buildsystem=kde -- $(CONFIGURE_ARGS)
