=== debian/watch ===
version=3

http://sf.net/kradio/kradio4-([0-9\.]*)\.tar\.bz2 debian svn-upgrade
#http://kde-apps.org/content/download.php?content=28097&id=2&tan=26031820&PHPSESSID=8f3ad80f8138d75d515a60d5c69a2b45
#https://sourceforge.net/projects/kradio/files/kradio/4.0.4/kradio4-4.0.4.tar.bz2/download

#http://kde-apps.org/content/download.php?content=28097 \
#  /CONTENT/content-files/28097-kradio4-([\d\.]+)\.tar\.(?:gz|bz2).* debian svn-upgrade
